weka.core.expressionlanguage.common

## Class MathFunctions

- java.lang.Object
- - weka.core.expressionlanguage.common.MathFunctions

- All Implemented Interfaces:
    MacroDeclarations

      public class MathFunctions
      extends java.lang.Object
      implements MacroDeclarations

  Macro declarations for common mathematical functions. The following functions are being exposed through macros:
  - `java.lang.Math.abs(double)` as abs
  - `java.lang.Math.sqrt(double)` as sqrt
  - `java.lang.Math.log(double)` as log
  - `java.lang.Math.exp(double)` as exp
  - `java.lang.Math.sin(double)` as sin
  - `java.lang.Math.cos(double)` as cos
  - `java.lang.Math.tan(double)` as tan
  - `java.lang.Math.rint(double)` as rint
  - `java.lang.Math.floor(double)` as floor
  - `java.lang.Math.ceil(double)` as ceil
  - `java.lang.Math.pow(double)` as pow
  Version:
    $Revision: 1000 $
  Author:
    Benjamin Weber ( benweber at student dot ethz dot ch )

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MathFunctions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Macro` | `getMacro(java.lang.String name)` Tries to fetch the macro
    `boolean` | `hasMacro(java.lang.String name)` Whether the macro is declared

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MathFunctions

          public MathFunctions()

  - ### Method Detail

    - #### hasMacro

          public boolean hasMacro(java.lang.String name)

      Whether the macro is declared
      Specified by:
        `hasMacro` in interface `MacroDeclarations`
      Parameters:
        `name` - of the macro
      Returns:
        whether the macro is declared

    - #### getMacro

          public Macro getMacro(java.lang.String name)

      Tries to fetch the macro The same invariant of `MacroDeclarations` applies here too.
      Specified by:
        `getMacro` in interface `MacroDeclarations`
      Parameters:
        `name` - name of the macro
      Returns:
        a macro